export declare function useSSRIntl({ locale, messages }: {
    locale: any;
    messages: any;
}): {
    formatMessage: (...args: any[]) => string;
    formatters: import("@formatjs/intl").Formatters;
    locale: string;
    timeZone?: string;
    fallbackOnEmptyString?: boolean;
    formats: import("@formatjs/intl").CustomFormats;
    messages: Record<string, string> | Record<string, import("react-intl").MessageFormatElement[]>;
    defaultLocale: string;
    defaultFormats: import("@formatjs/intl").CustomFormats;
    defaultRichTextElements?: Record<string, import("intl-messageformat").FormatXMLElementFn<string>>;
    onError: import("@formatjs/intl").OnErrorFn;
    onWarn?: import("@formatjs/intl").OnWarnFn;
    formatDateTimeRange(from: number | Date, to: number | Date, opts?: import("@formatjs/intl").FormatDateOptions): string;
    formatDate(value: string | number | Date, opts?: import("@formatjs/intl").FormatDateOptions): string;
    formatTime(value: string | number | Date, opts?: import("@formatjs/intl").FormatDateOptions): string;
    formatDateToParts(value: string | number | Date, opts?: import("@formatjs/intl").FormatDateOptions): Intl.DateTimeFormatPart[];
    formatTimeToParts(value: string | number | Date, opts?: import("@formatjs/intl").FormatDateOptions): Intl.DateTimeFormatPart[];
    formatRelativeTime(value: number, unit?: Intl.RelativeTimeFormatUnit, opts?: import("@formatjs/intl").FormatRelativeTimeOptions): string;
    formatNumber(value: number | bigint, opts?: import("@formatjs/intl").FormatNumberOptions): string;
    formatNumberToParts(value: number | bigint, opts?: import("@formatjs/intl").FormatNumberOptions): Intl.NumberFormatPart[];
    formatPlural(value: number, opts?: import("@formatjs/intl").FormatPluralOptions): Intl.LDMLPluralRule;
    $t(descriptor: import("@formatjs/intl").MessageDescriptor, values?: Record<string, import("intl-messageformat").PrimitiveType | import("intl-messageformat").FormatXMLElementFn<string, string>>, opts?: import("intl-messageformat").Options): string;
    $t<T extends string>(descriptor: import("@formatjs/intl").MessageDescriptor, values?: Record<string, import("intl-messageformat").PrimitiveType | T | import("intl-messageformat").FormatXMLElementFn<T>>, opts?: import("intl-messageformat").Options): string | T | (string | T)[];
    formatList(values: readonly string[], opts?: import("@formatjs/intl").FormatListOptions): string;
    formatList<T_1 extends string>(values: readonly (string | T_1)[], opts?: import("@formatjs/intl").FormatListOptions): string | T_1 | (string | T_1)[];
    formatListToParts<T_2 extends string>(values: readonly (string | T_2)[], opts?: import("@formatjs/intl").FormatListOptions): import("@formatjs/intl-listformat").Part[];
    formatDisplayName(value: string | number | Record<string, unknown>, opts: import("@formatjs/intl").FormatDisplayNameOptions): string;
};
